Package wx :: Package lib :: Module docview :: Class DocPrintout

[frames | no frames]

## Type DocPrintout

    object --+
             |
        Object --+
                 |
          Printout --+
                     |
                    DocPrintout

DocPrintout is a default Printout that prints the first page of a document view.

Method Summary
| ``__init__`(self, view, title)` Constructor.
| ``GetPageInfo`(self)` Indicates that the DocPrintout only has a single page.
| ``GetView`(self)` Returns the DocPrintout's view.
| ``HasPage`(self, pageNum)` Indicates that the DocPrintout only has a single page.
| ``OnPrintPage`(self, page)` Prints the first page of the view.

Property Summary

Method Details

### __init__(self, view, title='Printout')
(Constructor)

Constructor.

  Overrides:
    `wx.Printout.__init__`

### GetPageInfo(self)

Indicates that the DocPrintout only has a single page.

  Overrides:
    `wx.Printout.GetPageInfo`

### GetView(self)

Returns the DocPrintout's view.

### HasPage(self, pageNum)

Indicates that the DocPrintout only has a single page.

  Overrides:
    `wx.Printout.HasPage`

### OnPrintPage(self, page)

Prints the first page of the view.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:30 2007 | http://epydoc.sf.net